Skip to main content
GET
/
tools
/
{tool_id}
/
embed-info
Get tool embedding information
import requests

url = "https://app.ubik-agent.com/api/v1/tools/{tool_id}/embed-info"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "input_schema": {
    "type": "<unknown>",
    "properties": {},
    "required": [
      "<string>"
    ],
    "additionalProperties": false,
    "$defs": {}
  },
  "media_output_keys": [
    "<string>"
  ],
  "example_responses": [
    {}
  ],
  "allowed_origins": [
    "<string>"
  ],
  "description": "<string>",
  "access_token": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

tool_id
string
required

The unique identifier or name of the tool.

Query Parameters

external_user_id
string | null

Optional external user ID to scope the access token.

Response

Successful Response

id
string<uuid>
required

The unique identifier for the tool.

name
string
required

The name of the tool.

input_schema
ToolInputSchema · object
required

The JSON schema defining the inputs for the tool.

media_output_keys
string[]
required

A list of keys in the output that contain media URLs.

example_responses
Example Responses · object[]
required

A list of example inputs and their corresponding outputs for the tool.

allowed_origins
string[]
required

A list of allowed domains for embedding this tool.

description
string | null

A brief description of what the tool does.

access_token
string | null

A short-lived JWT access token for authenticating API calls from the embedded UI.